Bug 1255597 (CVE-2015-5220) - CVE-2015-5220 OOME from EAP 6 http management console
Summary: CVE-2015-5220 OOME from EAP 6 http management console
Status: NEW
Alias: CVE-2015-5220
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20151015,repo...
Keywords: Security
Depends On: 1255602 1278255
Blocks: 1255595 1271191 1278258
TreeView+ depends on / blocked
 
Reported: 2015-08-21 05:20 UTC by Timothy Walsh
Modified: 2018-06-05 15:36 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that sending requests containing large headers to the Web Console produced a Java OutOfMemoryError in the HTTP management interface. An attacker could use this flaw to cause a denial of service.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1904 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 6.4.4 update 2015-10-15 19:40:00 UTC
Red Hat Product Errata RHSA-2015:1905 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 6.4.4 update 2015-10-15 19:38:43 UTC
Red Hat Product Errata RHSA-2015:1906 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 6.4.4 update 2015-10-15 19:58:56 UTC
Red Hat Product Errata RHSA-2015:1907 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 6.4.4 jboss-ec2-eap update 2015-10-15 19:28:38 UTC
Red Hat Product Errata RHSA-2016:1519 normal SHIPPED_LIVE Critical: Red Hat JBoss Operations Network 3.3.6 update 2016-08-26 00:44:36 UTC
Red Hat Knowledge Base (Article) 1569373 None None None 2016-02-05 20:45 UTC

Description Timothy Walsh 2015-08-21 05:20:59 UTC
no sanity checks and unbounded header sizes/counts leads to OOME from EAP 6 http management console

Comment 3 Timothy Walsh 2015-10-14 07:34:56 UTC
Acknowledgement:

This issue was discovered by Aaron Ogburn of Red Hat GSS Middleware Team

Comment 4 errata-xmlrpc 2015-10-15 15:29:05 UTC
This issue has been addressed in the following products:

  JBEAP 6.4.z for RHEL 6

Via RHSA-2015:1907 https://rhn.redhat.com/errata/RHSA-2015-1907.html

Comment 5 errata-xmlrpc 2015-10-15 15:42:56 UTC
This issue has been addressed in the following products:

  JBEAP 6.4.z for RHEL 6

Via RHSA-2015:1905 https://rhn.redhat.com/errata/RHSA-2015-1905.html

Comment 6 errata-xmlrpc 2015-10-15 15:44:00 UTC
This issue has been addressed in the following products:

  JBEAP 6.4.z for RHEL 5

Via RHSA-2015:1904 https://rhn.redhat.com/errata/RHSA-2015-1904.html

Comment 7 errata-xmlrpc 2015-10-15 16:00:17 UTC
This issue has been addressed in the following products:

  JBEAP 6.4.z for RHEL 7

Via RHSA-2015:1906 https://rhn.redhat.com/errata/RHSA-2015-1906.html

Comment 9 errata-xmlrpc 2016-07-27 15:30:09 UTC
This issue has been addressed in the following products:



Via RHSA-2016:1519 https://rhn.redhat.com/errata/RHSA-2016-1519.html


Note You need to log in before you can comment on or make changes to this bug.